PFont f;
PFont f2;
PFont f3;
boolean detailOn = false;
color testColor;
color[] subColor;
int pos_x,pos_y;
String[] testName;
String[] subNameSAT;
String[] subNameGMAT;
String[] subNameGRE;
String[] monthName;
int trancenter_x;
int trancenter_y;
int px;
int py;
void setup(){
  size(1160,660);
  trancenter_x = width/2;
  trancenter_y = height/2;
  smooth();
  getData();
  getSAT_SUBS();
  getGMAT_SUBS();
  getGRE_SUBS();
  //testColor = new color[4];
  //testColor[0] = color(173,255,47);//green yellow
  testColor = color(154,205,50);//yellow green
  //testColor[2] = color(50,205,50);//lime green
  //testColor[3] = color(34,139,34);//forest green
  subColor = new color[5];
  subColor[0] = color(76,232,226);
  subColor[1] = color(209,87,255);
  subColor[2] = color(255,250,96);
  subColor[3] = color(232,95,66);
  subColor[4] = color(102,89,255);
  testName = new String[4];
  testName[0] = "SAT";
  testName[1] = "GRE";
  testName[2] = "GMAT";
  testName[3] = "LSAT";
  monthName = new String[12];
  monthName[0] = "Jan";  monthName[1] = "Feb";  monthName[2] = "Mar";  monthName[3] = "Apr";  monthName[4] = "May";  monthName[5] = "Jun";
  monthName[6] = "Jul";  monthName[7] = "Aug";  monthName[8] = "Sep";  monthName[9] = "Oct";  monthName[10] = "Nov";  monthName[11] = "Dec";
  subNameSAT = new String[5];
  subNameSAT[0] = "General";subNameSAT[1] = "Verbal";subNameSAT[2] = "Math";subNameSAT[3] = "Subject";subNameSAT[4] = "Reading & Righting";
  subNameGMAT = new String[3];
  subNameGMAT[0] = "General";subNameGMAT[1] = "Math";subNameGMAT[2] = "Reading";
  subNameGRE = new String[5];
  subNameGRE[0] = "General";subNameGRE[1] = "Verbal";subNameGRE[2] = "Math";subNameGRE[3] = "Reading";subNameGRE[4] = "Subject";
  
  f = loadFont("Arial-BoldMT-24.vlw");
  f2 = loadFont("ArialRoundedMTBold-16.vlw");
  f3 = loadFont("ArialMT-36.vlw");
  textFont(f);  
  frameRate(30);
}
void draw(){
  background(0);
  fill(204);
  textFont(f3);
  textAlign(LEFT);
  text("Are you ready for the BIG test?",10,40);
  drawCircle();
}
void drawCircle(){    
  textAlign(LEFT);  
  String[] testLabel = new String[4];
  testLabel[0] = "SAT";
  testLabel[1] = "GRE";
  testLabel[2] = "GMAT";
  testLabel[3] = "LSAT";  
  textFont(f);
  for(int i = 0;i < 4; i++){
    fill(204);
    text(testLabel[i],10,106 + 150 * i);
    stroke(testColor);
    strokeWeight(2);
    noFill();
    for(int j = 0;j < 6; j++){
      float angle = -PI/2;    
      for(int k = 0;k < 12; k++){
        if(monthCount[i][j][k]!=0){
          float radius = monthCount[i][j][k] * 240 / maxCount;
          if(monthCount[i][j][k] == maxSeperate[i][j]){
            strokeWeight(4);
            stroke(255);
            arc(160+j*180,100+i*150,radius, radius,(k - 3) * PI / 6,(k - 2) * PI / 6);
            stroke(testColor);
            strokeWeight(2);
          }
          arc(160+j*180,100+i*150,radius, radius,(k - 3) * PI / 6,(k - 2) * PI / 6);
        }
      }
    }
  }
  fill(204);
  for(int i = 0;i < 6; i++){
    text("" + (2005 + i), 135 + 180 * i, 650);
  }
  if(detailOn){
    showDetail(pos_x,pos_y);
  }
}
void mouseClicked(){
  pos_x = (mouseX - 80) / 180;
  pos_y = (mouseY - 50) / 160;
  if(mouseX >= 100 && mouseX <= 1150 && mouseY >= 80){
    detailOn = true;
  }else{
    detailOn = false;
  }  
}
void mouseMoved(){
  px = mouseX;
  py = mouseY;
}
void showDetail(int x,int y){
  textAlign(CENTER);
  rectMode(CENTER);
  translate(trancenter_x,trancenter_y);
  noStroke();
  fill(102,180);
  rect(0,0,550,550);
  fill(255,215,0);
  text(testName[y] + (2005 + x),0,0);      
  for(int i =0;i<12;i++){
    rotate(PI/6*i + PI/12);
    text(monthName[i],0,-260);
    rotate(-PI/6*i - PI/12);
  }
  switch(pos_y){
    case 0:detailSAT();break;
    case 1:detailGRE();break;
    case 2:detailGMAT();break;
    case 3:detailLSAT();break;
  }
}
void mouseDragged(){
  if(abs(mouseX - trancenter_x) < 275 && abs(mouseY - trancenter_y) < 275){
    detailOn = true;
    trancenter_x += mouseX - px;
    trancenter_y += mouseY - py;
    px = mouseX;
    py = mouseY;
  }
}


